<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
    <button onclick="vm.openForm()">Open Form</button>
    <h1>{{ 'Nilai a : ' + temp }}</h1>
    <h1>{{ 'Rata Rata : ' + rata }}</h1>
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
        a : 0,
        rata : 0,
        jumlahData : 0,
        temp : 0
      },
      methods : {
          openForm : function() {
              while( this.temp < 10 ){
                this.jumlahData++
                this.a = prompt("Masukkan Nilai a")
                this.temp += Number(this.a)
            }
              this.rata = this.temp / this.jumlahData
          }
      }
  })
  </script>
</body>
</html>